import { StorageType } from './storage.entities';
import * as i0 from "@angular/core";
export declare class StorageService {
    cacheObject: any;
    get(cacheType: StorageType, keyName: string): any;
    set(cacheType: StorageType, keyName: string, data: any): void;
    remove(cacheType: StorageType, keyName: string): void;
    clearCache(): void;
    private _b64EncodeUnicode;
    private _b64DecodeUnicode;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StorageService>;
}
